Skip to main content
GET
/
services
List services
curl --request GET \
  --url https://api.lava.so/v1/services
{
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "object": "model",
      "provider": "<string>",
      "provider_label": "<string>",
      "api_reference": "<string>",
      "endpoint": "<string>",
      "method": "POST",
      "url_template": "<string>",
      "workflow": {
        "kind": "poll",
        "poll_after": "<string>",
        "id_field": "<string>"
      },
      "example_body": {},
      "service_type": "model",
      "managed": true,
      "pricing": {
        "type": "tokens_1m",
        "input": 123,
        "output": 123,
        "cache_input_read": 123,
        "cache_input_write": 123,
        "cost_per_request": 123,
        "text": {
          "input": 123,
          "output": 123
        },
        "audio": {
          "input": 123,
          "output": 123
        },
        "image": {
          "input": 123,
          "output": 123
        }
      },
      "capabilities": [
        "<string>"
      ]
    }
  ],
  "providers": [
    {
      "id": "<string>",
      "label": "<string>",
      "api_reference": "<string>",
      "service_type": "model",
      "managed": true,
      "entry_count": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://lava.so/docs/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

provider
string

Optional provider identifier to return only one provider slice from the service catalog

Response

200 - application/json

Full service catalog

object
enum<string>
Available options:
list
data
object[]

List of all available models and services

providers
object[]

Summary of available providers